# Uses of Interface
javax.tools.JavaFileManager

Packages that use JavaFileManager
Package
Description
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.
jdk.javadoc.doclet
The Doclet API provides an environment which, in conjunction with the Language Model API and Compiler Tree API, allows clients to inspect the source-level structures of programs and libraries, including API comments embedded in the source.

## Uses of JavaFileManager in javax.tools

Classes in javax.tools with type parameters of type JavaFileManager
Modifier and Type
Class
Description
`class`
`ForwardingJavaFileManager<M extends JavaFileManager>`
Forwards calls to a given file manager.
Subinterfaces of JavaFileManager in javax.tools
Modifier and Type
Interface
Description
`interface`
`StandardJavaFileManager`
File manager based on `java.io.File` and `java.nio.file.Path`.
Classes in javax.tools that implement JavaFileManager
Modifier and Type
Class
Description
`class`
`ForwardingJavaFileManager<M extends JavaFileManager>`
Forwards calls to a given file manager.
Fields in javax.tools declared as JavaFileManager
Modifier and Type
Field
Description
`protected final M`
ForwardingJavaFileManager.`fileManager`
The file manager to which all methods are delegated.
Methods in javax.tools with parameters of type JavaFileManager
Modifier and Type
Method
Description
`DocumentationTool.DocumentationTask`
DocumentationTool.`getTask(Writer out, JavaFileManager fileManager, DiagnosticListener<? super JavaFileObject> diagnosticListener, Class<?> docletClass, Iterable<String> options, Iterable<? extends JavaFileObject> compilationUnits)`
Creates a future for a documentation task with the given components and arguments.
`JavaCompiler.CompilationTask`
JavaCompiler.`getTask(Writer out, JavaFileManager fileManager, DiagnosticListener<? super JavaFileObject> diagnosticListener, Iterable<String> options, Iterable<String> classes, Iterable<? extends JavaFileObject> compilationUnits)`
Creates a future for a compilation task with the given components and arguments.

## Uses of JavaFileManager in jdk.javadoc.doclet

Methods in jdk.javadoc.doclet that return JavaFileManager
Modifier and Type
Method
Description
`JavaFileManager`
DocletEnvironment.`getJavaFileManager()`
Returns the file manager used to read and write files.